	// create the module and name it ncpDirectivTestApp
	var ncpDirectivTestApp = angular.module('ncpDirectivTestApp', ['ngRoute', 'ncp.menu']);

	// configure our routes
	ncpDirectivTestApp.config(function ($routeProvider) {
	  $routeProvider

	    // route for the home page
	    .when('/', {
	      templateUrl: 'test.html',
	      controller: 'mainController'
	    })
	});

	// create the controller and inject Angular's $scope
	ncpDirectivTestApp.controller('mainController', function ($scope) {
	  // create a message to display in our view
	  $scope.menuItems = [{
	      "id": "dashboardModule",
	      "title": "DASHBOARD",
	      "url": "/dashboard/#/dashboard",
	      "authority": null
	    },
	    {
	      "id": "tracktrace2Module",
	      "title": "TRACK_AND_TRACE",
	      "url": "/#/myShipments",
	      "authority": [
	        "3",
	        "9",
	        "122"
	      ],
				selected: true
	    },
	    {
	      "id": "invoiceModule",
	      "title": "INVOICE",
	      "url": "/invoice/#/invoice/list",
	      "authority": [
	        "3",
	        "11"
	      ]
	    },
	    {
	      "id": "claimsModule",
	      "title": "CLAIMS",
	      "url": "/claims/#/claims/list",
	      "authority": [
	        "3",
	        "9"
	      ]
	    }
	  ];
    console.log($scope.menuItems);
	});